<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ldt.loginuser.mapper.LoginUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="loginUserResultMap" type="org.springblade.modules.ldt.loginuser.entity.LoginUser">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="nick_name" property="nickName"/>
        <result column="avatar" property="avatar"/>
        <result column="phone" property="phone"/>
        <result column="gender" property="gender"/>
        <result column="unionid" property="unionid"/>
        <result column="birthday" property="birthday"/>
        <result column="openid" property="openid"/>
        <result column="province" property="province"/>
        <result column="city" property="city"/>
    </resultMap>


    <select id="selectLoginUserPage" resultMap="loginUserResultMap">
        select * from ldt_login_user where is_deleted = 0
    </select>

</mapper>
